/*  
    AVFS: A Virtual File System Library
    Copyright (C) 1998  Miklos Szeredi (mszeredi@inf.bme.hu)
    
    This file can be distributed either under the GNU LGPL, or under
    the GNU GPL. See the file COPYING.LIB and COPYING. 
*/

#include "vdev.h"

struct filt_params {
  const char *const *prog;

  avssize_t (*readfunc)  (ave *v, void *devinfo, char *buf, avsize_t nbyte);
  avoff_t   (*lseekfunc) (ave *v, void *devinfo, avoff_t offset, int whence);
};

extern avoff_t   __av_filt_getsize(ave *v, void *devinfo);
extern int       __av_filt_getcachefile(ave *v, void *devinfo, avoff_t till);
extern avssize_t __av_filt_read(ave *v, void *devinfo, char *buf, 
				avoff_t offset, avsize_t nbyte);
extern void *    __av_open_filtprog(ave *v, struct filt_params *fp,
				    void *devinfo);
extern int       __av_close_filtprog(ave *v, void *devinfo);

