/*
    AVFS: A Virtual File System Library
    Copyright (C) 1998  Miklos Szeredi (mszeredi@inf.bme.hu)

    This file can be distributed either under the GNU LGPL, or under
    the GNU GPL. See the file COPYING.LIB and COPYING. 
*/

typedef struct workpath {
  const char *s;
  int         l;
  int         i;
  int         resolvelast;
} workpath;


#define AR_END(path)  ((path)->i >= (path)->l)
#define AR_STEP(path) ((path)->i++)
#define AR_CURR(path) ((path)->s[(path)->i])

static inline int checkl(ave *v, int to)
{
  if(to >= AVFS_MAX_PATHLEN - 1) {
    v->errn = ENAMETOOLONG;
    return -1;
  }
  return 0;
}
