/*  
    AVFS: A Virtual File System Library
    Copyright (C) 1998  Miklos Szeredi (mszeredi@inf.bme.hu)

    This file can be distributed either under the GNU LGPL, or under
    the GNU GPL. See the file COPYING.LIB and COPYING. 

    BUNZIP2 module
*/

#include "vdev.h"
#include "filter.h"

static struct ext_info bunzip2_exts[] =
{
  { ".bz2", AVNULL },
  { ".tbz", ".tar" },

  { AVNULL,  AVNULL }
};

static const char *bunzip2_args[] = { "bzip2", "-d", AVNULL };

extern int __av_init_module_ubz2(ave *v);

int __av_init_module_ubz2(ave *v)
{
  return __av_init_filt(v, "ubz2", bunzip2_args, bunzip2_exts);
}
