/*  
    AVFS: A Virtual File System Library
    Copyright (C) 1998  Miklos Szeredi (mszeredi@inf.bme.hu)

    This file can be distributed either under the GNU LGPL, or under
    the GNU GPL. See the file COPYING.LIB and COPYING. 

    GUNZIP module
*/

#include "vdev.h"
#include "filter.h"

static struct ext_info gunzip_exts[] =
{
  { ".gz", AVNULL },
  { ".Z",  AVNULL },
  { ".z",  AVNULL },
  { ".tgz", ".tar" },
  { ".tz",  ".tar" },
  { ".taz", ".tar" },

  { AVNULL,  AVNULL }
};

static const char *gunzip_args[] = { "gzip", "-d", AVNULL };

extern int __av_init_module_ugz(ave *v);

int __av_init_module_ugz(ave *v)
{
  return __av_init_filt(v, "ugz", gunzip_args, gunzip_exts);
}
